IRPCUsersAdmin.SearchForUser

View as Markdown

Administration API / specialized admin session

Finds the user account of a login name.

ServiceUsers MFiles.IRPCUsersAdmin
gRPC method/MFiles.IRPCUsersAdmin/SearchForUser
HTTP (mf-http-grpc)POST /grpc/v1/search-for-user
RequestSearchForUserRequest
ResponseSearchForUserResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: SearchForUserRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
account_namestringThe login name to look for, for example MikeT or DOMAIN\user.

Response: SearchForUserResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
results[]repeated UserAccountThe matching user account, or empty.
results[].idint32The ID of the user account.
results[].login_namestringThe login name that is associated with this user account (e.g. 'DOMAIN\user').
results[].vault_rolesVAULTROLESBitmask of the vault roles of the user.
results[].vault_roles.allboolSpecifies all flags set; Including any future flags.
results[].vault_roles.full_controlboolCan perform any activity in the vault.
results[].vault_roles.can_log_inboolCan log in to the vault.
results[].vault_roles.can_create_objectsboolCan create new documents.
results[].vault_roles.can_see_all_objectsboolSees all documents in listings, regardless of security settings and deletion state.
results[].vault_roles.can_undelete_objectsboolCan undelete previously deleted documents.
results[].vault_roles.can_destroy_objectsboolHas permission to permanently destroy documents.
results[].vault_roles.can_force_undo_checkoutboolHas permission to undo a check-out performed by another user.
results[].vault_roles.can_change_all_object_permissionsboolCan change the security settings of all documents and modify all documents.
results[].vault_roles.can_change_metadata_structureboolCan modify the meta data structure of the vault (propertydefs, profiles, value lists etc.).
results[].vault_roles.can_manage_usersboolCan create, edit and delete user accounts. Cannot add or remove the Vault Manager role.
results[].vault_roles.is_internal_userboolAn internal user of the vault. This role separates internal enad external users in the vault.
results[].vault_roles.can_manage_traditional_foldersboolCan create, modify and delete traditional folders. OBSOLETE: const VAULTROLES VAULTROLE_DEFINE_TEMPLATES = 1 << 12; //!< Can define templates.
results[].vault_roles.can_manage_common_viewsboolCan create, modify and delete common views.
results[].vault_roles.can_manage_workflowsboolCan create, modify and delete workflows. Modifying event handlers within the workflow still requires SERVERACCESS_RUN_CODE.
results[].vault_roles.cannot_manage_private_viewsboolCannot create or modify private views.
results[].vault_roles.anonymousboolAnonymous role.
results[].vault_roles.run_code_on_serverboolCan run code on the server hosting this vault. Not included in VAULTROLE_FULL_CONTROL, and cannot be ordinarily granted by it.
results[].aclAccessControlListPermissions.
results[].acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
results[].acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
results[].acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
results[].acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
results[].acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
results[].acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
results[].user_languageint32The vault language of the user.
results[].external_idstringThe user identity in external system, such as Microsoft Entra (where the identity is a GUID). Read-only.